Threat Encyclopedia

PEAR.Archive.Tar.PHAR.Handling.Insecure.Deserialization

description-logoDescription

This indicates an attack attempt to exploit an Insecure Deserialization Vulnerability in PEAR Archive_Tar.
The vulnerability is due to improper validation of file names inside TAR files. A remote attacker can exploit this vulnerability by sending a malicious TAR to the applications which are using PEAR Archive_Tar module. Successful exploitation could result in arbitrary file deletion, or in worst case code execution in the target user's system.

affected-products-logoAffected Products

PEAR Archive_Tar before 1.4.11

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

recomended-action-logoRecommended Actions

Apply the most recent upgrade or patch from the vendor.
https://pear.php.net/bugs/bug.php?id=27002

CVE References

CVE-2020-28948